%global _empty_manifest_terminate_build 0
Name:		python-zope-proxy
Version:	4.5.0
Release:	1
Summary:	Generic Transparent Proxies
License:	ZPL 2.1
URL:		https://github.com/zopefoundation/zope.proxy
Source0:	https://github.com/zopefoundation/zope.proxy/archive/%{version}.tar.gz

%description
Proxies are special objects which serve as mostly-transparent
wrappers around another object, intervening in the apparent behavior of
the wrapped object only when necessary to apply the policy (e.g., access
checking, location brokering, etc.) for which the proxy is responsible.

%package -n python3-zope-proxy
Summary:	Generic Transparent Proxies
Provides:	python-zope-proxy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc

%description -n python3-zope-proxy
Proxies are special objects which serve as mostly-transparent
wrappers around another object, intervening in the apparent behavior of
the wrapped object only when necessary to apply the policy (e.g., access
checking, location brokering, etc.) for which the proxy is responsible.

%package help
Summary:	Development documents and examples for zope.proxy
Provides:	python3-zope-proxy-doc

%description help

%prep
%autosetup -n zope.proxy-4.5.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/include ]; then
	find usr/include -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-zope-proxy -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Fri Jun 10 2022 SimpleUpdate Robot <tc@openeuler.org> - 4.5.0-1
- Upgrade to version 4.5.0

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 4.3.5-2
- DESC: delete BuildRequires gdb

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
